# Uses of Interface
org.eclipse.microprofile.config.spi.Converter

Packages that use Converter
Package
Description
org.eclipse.microprofile.config
Configuration for Java MicroProfile
org.eclipse.microprofile.config.spi
This package contains classes which are used to implement the configuration API, and to extend the standard configuration functionality in a portable way.

## Uses of Converter in org.eclipse.microprofile.config

Methods in org.eclipse.microprofile.config that return types with arguments of type Converter
Modifier and Type
Method
Description
`<T> Optional<Converter<T>>`
Config.`getConverter(Class<T> forType)`
Return the `Converter` used by this instance to produce instances of the specified type from string values.

## Uses of Converter in org.eclipse.microprofile.config.spi

Methods in org.eclipse.microprofile.config.spi with parameters of type Converter
Modifier and Type
Method
Description
`<T> ConfigBuilder`
ConfigBuilder.`withConverter(Class<T> type, int priority, Converter<T> converter)`
Add the specified `Converter` instance for the given type to the configuration being built.
`ConfigBuilder`
ConfigBuilder.`withConverters(Converter<?>... converters)`
Add the specified `Converter` instances to the configuration being built.